---
description: "LINCS knowledge graph queries and processing endpoint"
title: "LINCS-API"
Last Translated: 2024-06-16
image: /img/documentation/lincs-api-logo-dark-(c-LINCS).png
---

<ToolButtons toolName="LINCS-API"/>

The [LINCS-API](https://lincs-api.lincsproject.ca/) exposes secure functionality to authorized LINCS users and applications. There are also public endpoints available e.g., to query the LINCS knowledge graph. It also acts as a gateway to other LINCS services like :Term[NER]{#named-entity-recognition} and entity linking. 

<div className="banner">
  <img src= "/img/documentation/lincs-api-logo-dark-(c-LINCS).png" alt="" />
</div>

<div className="primary-button-row">
  <PrimaryButton
    link="https://lincs-api.lincsproject.ca/"
    buttonName="To the Tool"
    />
  <PrimaryButton
    link="https://gitlab.com/calincs/infrastructure/lincs-api"
    buttonName="To GitLab"
    />
</div>

Here is a list of some of the endpoints. For usage examples and a complete description of the API, please view the [OpenAPI Contract](https://lincs-api.lincsproject.ca/).

- `entity`: outgoing and incoming statements for LINCS entities
- `person`: additional detail for a person type entity
- `place`: additional detail for a place entity
- `linked`: entities that are connected to the given entity via events
- `links`: events that connect two entities
- `ner`: named entity recognition on given text
- `reconcile`: possible matches for a given entity and list of authorities

## Prerequisites

- You need to come with your own dataset.
- You will need to have a [LINCS account](/docs/tools/account-service) for some of the endpoints.
- You will need an understanding of how to make requests to a REST API (in any language) and work with :Term[JSON]{#json} responses.

LINCS-API supports the following inputs and outputs:

- **Input:** TEI/XML, plain text, and JSON
- **Output:** JSON, Web Annotations (in JSON-LD)

## Resources

Information about the team that developed [LINCS-API](/docs/about-lincs/credits/tools-credits#lincs-api) is available on the Tool Credits page.
